# SequenceTransform(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SequenceTransform`(bpy_struct)

  Transform parameters for a sequence strip

  `offset_x`

    Type: | int in [-inf, inf], default 0

  `offset_y`

    Type: | int in [-inf, inf], default 0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`EffectSequence.transform` `ImageSequence.transform` `MaskSequence.transform` `MetaSequence.transform` | `MovieClipSequence.transform` `MovieSequence.transform` `SceneSequence.transform`